## GimpPatternSelectButton GimpPatternSelectButton — A button which pops up a pattern select dialog. |

## Functions

GtkWidget * | gimp_pattern_select_button_new ()
const gchar * | gimp_pattern_select_button_get_pattern ()
void | gimp_pattern_select_button_set_pattern ()

## Properties

gchar * | pattern-name | Read / Write
gchar * | title | Read / Write / Construct Only

## Signals

void | pattern-set | Run First

## Types and Values

| GimpPatternSelectButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GimpSelectButton
                                ╰── GimpPatternSelectButton

## Implemented Interfaces

GimpPatternSelectButton implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

A button which pops up a pattern select dialog.

## Functions

### gimp_pattern_select_button_new ()

    GtkWidget *
    gimp_pattern_select_button_new (const gchar *title,
                                    const gchar *pattern_name);

Creates a new GtkWidget that completely controls the selection of a pattern. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
pattern_name | Initial pattern name or `NULL` to use current selection. |

#### Returns

A GtkWidget that you can use in your UI.

Since: 2.4

### gimp_pattern_select_button_get_pattern ()

    const gchar *
    gimp_pattern_select_button_get_pattern
                                   (GimpPatternSelectButton *button);

Retrieves the name of currently selected pattern.

#### Parameters

button | A GimpPatternSelectButton |

#### Returns

an internal copy of the pattern name which must not be freed.

Since: 2.4

### gimp_pattern_select_button_set_pattern ()

    void
    gimp_pattern_select_button_set_pattern
                                   (GimpPatternSelectButton *button,
                                    const gchar *pattern_name);

Sets the current pattern for the pattern select button.

#### Parameters

button | A GimpPatternSelectButton |
pattern_name | Pattern name to set; `NULL` means no change. |

Since: 2.4

## Types and Values

### GimpPatternSelectButton

    typedef struct _GimpPatternSelectButton GimpPatternSelectButton;

## Property Details

### The `“pattern-name”` property

      “pattern-name”             gchar *

The name of the currently selected pattern.

Owner: GimpPatternSelectButton

Flags: Read / Write

Default value: NULL

Since: 2.4

### The `“title”` property

      “title”                    gchar *

The title to be used for the pattern selection popup dialog.

Owner: GimpPatternSelectButton

Flags: Read / Write / Construct Only

Default value: "Pattern Selection"

Since: 2.4

## Signal Details

### The `“pattern-set”` signal

    void
    user_function (GimpPatternSelectButton *widget,
                   gchar                   *pattern_name,
                   gint                     width,
                   gint                     height,
                   gint                     bpp,
                   gpointer                 mask_data,
                   gboolean                 dialog_closing,
                   gpointer                 user_data)

The ::pattern-set signal is emitted when the user selects a pattern.

#### Parameters

widget | the object which received the signal. |
pattern_name | the name of the currently selected pattern. |
width | width of the pattern |
height | height of the pattern |
bpp | bpp of the pattern |
mask_data | pattern mask data |
dialog_closing | whether the dialog was closed or not. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

Since: 2.4